"""
Tools Factory
Return all tools for the agent.
"""

from langchain_core.tools import Tool

from .brand_knowledge_tool import canifa_knowledge_search
from .data_retrieval_tool import data_retrieval_tool
from .promotion_canifa_tool import canifa_get_promotions
from .check_is_stock import check_is_stock
from .store_search_tool import canifa_store_search


def get_all_tools() -> list[Tool]:
    """Return toàn bộ list tools cho Agent"""
    return [data_retrieval_tool, canifa_knowledge_search, canifa_get_promotions, check_is_stock, canifa_store_search]

